import matplotlib.pyplot as plt
numargs = dweibull.numargs
[ c ] = [0.9,] * numargs
rv = dweibull(c)

# Display frozen pdf

x = np.linspace(0, np.minimum(rv.dist.b, 3))
h = plt.plot(x, rv.pdf(x))

# Check accuracy of cdf and ppf

prb = dweibull.cdf(x, c)
h = plt.semilogy(np.abs(x - dweibull.ppf(prb, c)) + 1e-20)

# Random number generation

R = dweibull.rvs(c, size=100)
